Package com.destroystokyo.paper.event.player

# Class IllegalPacketEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.player.IllegalPacketEvent

@Deprecated public class IllegalPacketEvent extends PlayerEvent
Deprecated.
Not used

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`IllegalPacketEvent(@NotNull Player player, @Nullable String type, @Nullable String kickMessage, @NotNull Exception e)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getExceptionMessage()`
Deprecated.
`static @NotNull HandlerList`
`getHandlerList()`
Deprecated.
`@NotNull HandlerList`
`getHandlers()`
Deprecated.
`@Nullable String`
`getKickMessage()`
Deprecated.
`@Nullable String`
`getType()`
Deprecated.
`boolean`
`isShouldKick()`
Deprecated.
`static void`
`process(@NotNull Player player, @Nullable String type, @Nullable String kickMessage, @NotNull Exception exception)`
Deprecated.
`void`
`setKickMessage(@Nullable String kickMessage)`
Deprecated.
`void`
`setShouldKick(boolean shouldKick)`
Deprecated.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IllegalPacketEvent

public IllegalPacketEvent(@NotNull @NotNull Player player, @Nullable @Nullable String type, @Nullable @Nullable String kickMessage, @NotNull @NotNull Exception e)
Deprecated.

## Method Details

### isShouldKick

public boolean isShouldKick()
Deprecated.

### setShouldKick

public void setShouldKick(boolean shouldKick)
Deprecated.

### getKickMessage

@Nullable public @Nullable String getKickMessage()
Deprecated.

### setKickMessage

public void setKickMessage(@Nullable @Nullable String kickMessage)
Deprecated.

### getType

@Nullable public @Nullable String getType()
Deprecated.

### getExceptionMessage

@Nullable public @Nullable String getExceptionMessage()
Deprecated.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()
Deprecated.

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()
Deprecated.

### process

public static void process(@NotNull @NotNull Player player, @Nullable @Nullable String type, @Nullable @Nullable String kickMessage, @NotNull @NotNull Exception exception)
Deprecated.